Hooks:PostHook(MoneyTweakData, "init", "extendedbalancemoneyz", function(self, tweak_data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty or "normal"
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	self.difficulty_multiplier_payout = {
		1,
		2,
		5,
		7, --was 10
		9, --was 11
		12, --was 13
		14
	}
	self.preplaning_asset_cost_multiplier_by_risk = {
		1,
		2,
		5,
		7, --was 10
		9, --was 13
		11, --was 13
		13
	}
	if difficulty_index == 5 then --OVK 10 -> 8
		self.small_loot.diamondheist_vault_bust = 7200
		self.small_loot.diamondheist_vault_diamond = 9200
		self.small_loot.diamondheist_big_diamond = 9200
		self.small_loot.mus_small_artifact = 7000
		self.small_loot.value_gold = 2400
		self.small_loot.gen_atm = 185000 --rounded
		self.small_loot.special_deposit_box = 2800
		self.small_loot.slot_machine_payout = 200000
		self.small_loot.vault_loot_chest = 4650 --rounded
		self.small_loot.vault_loot_diamond_chest = 5000 --rounded
		self.small_loot.vault_loot_banknotes = 4000
		self.small_loot.vault_loot_silver = 4250
		self.small_loot.vault_loot_diamond_collection = 5200
		self.small_loot.vault_loot_trophy = 5525 --rounded
		self.small_loot.money_wrap_single_bundle_vscaled = 3000 --rounded
		self.small_loot.spawn_bucket_of_money = 160000
		self.small_loot.vault_loot_gold = 18500 --rounded
		self.small_loot.vault_loot_cash = 9200
		self.small_loot.vault_loot_coins = 6500 --rounded
		self.small_loot.vault_loot_ring = 2800
		self.small_loot.vault_loot_jewels = 4600
	elseif difficulty_index == 6 then --Mayhem 15 -> 11
		self.small_loot.diamondheist_vault_bust = 8800
		self.small_loot.diamondheist_vault_diamond = 11000
		self.small_loot.diamondheist_big_diamond = 11000
		self.small_loot.mus_small_artifact = 7000 --rounded
		self.small_loot.value_gold = 2200  
		self.small_loot.gen_atm = 220000
		self.small_loot.special_deposit_box = 2550 --rounded
		self.small_loot.slot_machine_payout = 240000 --rounded
		self.small_loot.vault_loot_chest = 5500
		self.small_loot.vault_loot_diamond_chest = 5850 --rounded
		self.small_loot.vault_loot_banknotes = 4750 --rounded
		self.small_loot.vault_loot_silver = 5100 --rounded
		self.small_loot.vault_loot_diamond_collection = 6250 --rounded
		self.small_loot.vault_loot_trophy = 6600
		self.small_loot.money_wrap_single_bundle_vscaled = 3650 --rounded
		self.small_loot.spawn_bucket_of_money = 190000 --rounded
		self.small_loot.vault_loot_gold = 22000
		self.small_loot.vault_loot_cash = 11000
		self.small_loot.vault_loot_coins = 7700
		self.small_loot.vault_loot_ring = 3300
		self.small_loot.vault_loot_jewels = 5500
	elseif difficulty_index == 7 then --DW 15 -> 13
		self.small_loot.diamondheist_vault_bust = 10400
		self.small_loot.diamondheist_vault_diamond = 13000
		self.small_loot.diamondheist_big_diamond = 13000
		self.small_loot.mus_small_artifact = 8250 --rounded
		self.small_loot.value_gold = 2250 --rounded
		self.small_loot.gen_atm = 225000 --rounded
		self.small_loot.special_deposit_box = 3000 --rounded
		self.small_loot.slot_machine_payout = 280000
		self.small_loot.vault_loot_chest = 6500
		self.small_loot.vault_loot_diamond_chest = 7000 --rounded
		self.small_loot.vault_loot_banknotes = 5625 --rounded
		self.small_loot.vault_loot_silver = 6050 --rounded
		self.small_loot.vault_loot_diamond_collection = 7350 --rounded
		self.small_loot.vault_loot_trophy = 7800
		self.small_loot.money_wrap_single_bundle_vscaled = 4300 --rounded
		self.small_loot.spawn_bucket_of_money = 225000
		self.small_loot.vault_loot_gold = 26000
		self.small_loot.vault_loot_cash = 13000
		self.small_loot.vault_loot_coins = 9100
		self.small_loot.vault_loot_ring = 3900
		self.small_loot.vault_loot_jewels = 6500
	end
end)